import * as React from 'react';
import { StoreEvent, StoreKeeperImpl } from 'b-engine-gameengine';
export interface LayoutPickerState {
    gameState: string;
}
export interface LayoutPickerProps {
    layouts: {
        [key: string]: any;
    };
}
export declare class LayoutPicker extends React.Component<LayoutPickerProps, LayoutPickerState> implements StoreKeeperImpl {
    private _core;
    private _storeKeeper;
    private _gameStateChangeEventListener;
    private _storeKeeperEventListener;
    constructor(props: LayoutPickerProps);
    componentWillMount(): void;
    componentWillUnmount(): void;
    switchLayout(state: string): void;
    render(): JSX.Element;
    storeItemAdd(e: StoreEvent): void;
    storeItemDelete(e: StoreEvent): void;
    storeItemPut(e: StoreEvent): void;
}
