import { Listener, GAME_STATE_HANDLER_EVENTS } from 'b-engine-gameengine';
import { LayoutPicker } from './LayoutPicker';

export class GameStateChangeEventListener extends Listener {
    public constructor(parent: LayoutPicker) {
        super();

        this.on(GAME_STATE_HANDLER_EVENTS.ACTIVATE, (e: string) => {
            parent.switchLayout(e);
        });
    }
}
